## bsh
Class ReflectManager

    java.lang.Object
      bsh.ReflectManager

Direct Known Subclasses:
  ReflectManagerImpl

public abstract class ReflectManager
extends java.lang.Object

ReflectManager is a dynamically loaded extension that supports extended reflection features supported by JDK1.2 and greater. In particular it currently supports accessible method and field access supported by JDK1.2 and greater.

Constructor Summary
`ReflectManager()`

Method Summary
`static ReflectManager` `getReflectManager()` Return the singleton bsh ReflectManager.
`static boolean` `RMSetAccessible(java.lang.Object obj)` Reflect Manager Set Accessible.
`abstract boolean` `setAccessible(java.lang.Object o)` Set a java.lang.reflect Field, Method, Constructor, or Array of accessible objects to accessible mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectManager

    public ReflectManager()

Method Detail

### getReflectManager

    public static ReflectManager getReflectManager()
                                            throws Capabilities.Unavailable

  Return the singleton bsh ReflectManager.

  Throws:
    `Unavailable`
    `Capabilities.Unavailable`

### RMSetAccessible

    public static boolean RMSetAccessible(java.lang.Object obj)
                                   throws Capabilities.Unavailable

  Reflect Manager Set Accessible. Convenience method to invoke the reflect manager.

  Throws:
    `Unavailable`
    `Capabilities.Unavailable`

### setAccessible

    public abstract boolean setAccessible(java.lang.Object o)

  Set a java.lang.reflect Field, Method, Constructor, or Array of accessible objects to accessible mode.

  Returns:
    true if the object was accessible or false if it was not.